Page MenuHomePhabricator

Create ScopedCallback library
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/core : masterUse wikimedia/scoped-callback
mediawiki/vendor : masterAdd wikimedia/scoped-callback 1.0.0
integration/docroot : masterdoc: Add ScopedCallback
mediawiki/libs/ScopedCallback : masterInitial commit from MediaWiki core

Event Timeline

Legoktm created this task.Sep 21 2016, 6:33 AM

Change 311926 had a related patch set uploaded (by Legoktm):
Initial commit from MediaWiki core

https://gerrit.wikimedia.org/r/311926

Change 311926 merged by Aaron Schulz:
Initial commit from MediaWiki core

https://gerrit.wikimedia.org/r/311926

Change 313367 had a related patch set uploaded (by Legoktm):
Add wikimedia/scoped-callback 1.0.0

https://gerrit.wikimedia.org/r/313367

Change 313368 had a related patch set uploaded (by Legoktm):
Use wikimedia/scoped-callback

https://gerrit.wikimedia.org/r/313368

Change 313371 had a related patch set uploaded (by Legoktm):
doc: Add ScopedCallback

https://gerrit.wikimedia.org/r/313371

Change 313371 merged by jenkins-bot:
doc: Add ScopedCallback

https://gerrit.wikimedia.org/r/313371

Change 313367 merged by jenkins-bot:
Add wikimedia/scoped-callback 1.0.0

https://gerrit.wikimedia.org/r/313367

Change 313368 merged by jenkins-bot:
Use wikimedia/scoped-callback

https://gerrit.wikimedia.org/r/313368

Legoktm closed this task as Resolved.Sep 29 2016, 10:39 PM
Huji reopened this task as Open.Oct 3 2016, 7:12 PM
Huji added a subscriber: Huji.

Reopening. Ever since this patch, when I try to run mediawiki using the HEAD version I get this error:

Fatal error: Class 'Wikimedia\ScopedCallback' not found in /var/www/html/includes/compat/ScopedCallback.php on line 28
Legoktm closed this task as Resolved.Oct 3 2016, 8:30 PM

Have you run composer update or run git pull inside of your mediawiki/vendor checkout?

https://www.mediawiki.org/wiki/Download_from_Git#Fetch_external_libraries

Huji added a comment.Oct 3 2016, 9:55 PM

I had not. I should have thought of it though.